For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get a single account member by member ID.
me is a reserved value for the id parameter that returns the caller’s member information.
LaunchDarkly supports the following fields for expanding the “Get member” response. By default, these fields are not included in the response.
To expand the response, append the expand query parameter and add a comma-separated list with any of the following fields:
customRoles includes details on each custom role assigned to the member, including the role key, name, and ID.roleAttributes includes a list of the role attributes that you have assigned to the member.For example, expand=customRoles,roleAttributes includes both the customRolesInfo and roleAttributes fields in the response.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/members/{id} \
--header 'Authorization: <api-key>'{
"_links": {},
"_id": "507f1f77bcf86cd799439011",
"role": "reader",
"email": "ariel@acme.com",
"_pendingInvite": false,
"_verified": true,
"customRoles": [
"devOps",
"backend-devs"
],
"mfa": "<string>",
"_lastSeen": "1608260796147",
"creationDate": "1628001602644",
"firstName": "Ariel",
"lastName": "Flores",
"_pendingEmail": "<string>",
"excludedDashboards": [
"<string>"
],
"_lastSeenMetadata": {
"tokenId": "5b52207f8ca8e631d31fdb2b"
},
"_integrationMetadata": {
"externalId": "<string>",
"externalStatus": {
"display": "<string>",
"value": "<string>"
},
"externalUrl": "<string>",
"lastChecked": 123
},
"teams": [
{
"customRoleKeys": [
"access-to-test-projects"
],
"key": "team-key-123abc",
"name": "QA Team",
"_links": {}
}
],
"permissionGrants": [
{
"resource": "team/qa-team",
"actionSet": "<string>",
"actions": [
"maintainTeam"
]
}
],
"oauthProviders": [
"<string>"
],
"version": 1,
"roleAttributes": {}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The member ID
A comma-separated list of properties that can reveal additional information in the response.
Member response
The location and content type of related resources
Show child attributes
The member's ID
"507f1f77bcf86cd799439011"
The member's base role. If the member has no additional roles, this role will be in effect.
"reader"
The member's email address
"ariel@acme.com"
Whether the member has a pending invitation
false
Whether the member's email address has been verified
true
The set of additional roles, besides the base role, assigned to the member
["devOps", "backend-devs"]Whether multi-factor authentication is enabled for this member
The member's last session date (as Unix milliseconds since epoch)
"1608260796147"
Timestamp of when the member was created
"1628001602644"
The member's first name
"Ariel"
The member's last name
"Flores"
The member's email address before it has been verified, for accounts where email verification is required
Default dashboards that the member has chosen to ignore
Additional metadata associated with the member's last session, for example, whether a token was used
Show child attributes
Details on the member account in an external source, if this member is provisioned externally
Show child attributes
Details on the teams this member is assigned to
Show child attributes
A list of permission grants. Permission grants allow a member to have access to a specific action, without having to create or update a custom role.
Show child attributes
A list of OAuth providers
Version of the current configuration
1
The role attributes for the member
Show child attributes
curl --request GET \
--url https://app.launchdarkly.com/api/v2/members/{id} \
--header 'Authorization: <api-key>'{
"_links": {},
"_id": "507f1f77bcf86cd799439011",
"role": "reader",
"email": "ariel@acme.com",
"_pendingInvite": false,
"_verified": true,
"customRoles": [
"devOps",
"backend-devs"
],
"mfa": "<string>",
"_lastSeen": "1608260796147",
"creationDate": "1628001602644",
"firstName": "Ariel",
"lastName": "Flores",
"_pendingEmail": "<string>",
"excludedDashboards": [
"<string>"
],
"_lastSeenMetadata": {
"tokenId": "5b52207f8ca8e631d31fdb2b"
},
"_integrationMetadata": {
"externalId": "<string>",
"externalStatus": {
"display": "<string>",
"value": "<string>"
},
"externalUrl": "<string>",
"lastChecked": 123
},
"teams": [
{
"customRoleKeys": [
"access-to-test-projects"
],
"key": "team-key-123abc",
"name": "QA Team",
"_links": {}
}
],
"permissionGrants": [
{
"resource": "team/qa-team",
"actionSet": "<string>",
"actions": [
"maintainTeam"
]
}
],
"oauthProviders": [
"<string>"
],
"version": 1,
"roleAttributes": {}
}